* example 6 - match-merge the two data sets, create three data sets (one matched, two unmatched);

data jan_feb only_jan only_feb;
merge jan (in=j rename=(weight=wt1))
      feb (in=f rename=(weight=wt2));
by ssn;
diff = wt2 - wt1;
if j and f then output jan_feb;
else
if j then output only_jan;
else      output only_feb;
run;

title1 'DATA SET JAN-FEB CREATED WITH MATCH-MERGE OF JAN AND FEB DATA SETS';
title2 'ONLY MATCHED OBSERVATIONS ARE OUTPUT TO THE MERGED DATA SET';
proc print data=jan_feb;
run;

title1 'DATA SET WITH UNMATCHED OBSERVATIONS FROM DATA SET JAN';
proc print data=only_jan;
run;

title1 'DATA SET WITH UNMATCHED OBSERVATIONS FROM DATA SET FEB';
proc print data=only_feb;
run;
