* example 7 - create data set with demographic and medical data;

data demographic;
input name : $5. age zip : $5.;
datalines;
ADAMS  20 12203		
BROWN  21 10001
SMITH  50 12005
SMITH  33 12012	
;
run;

data medical;
input name : $5. age hr chol ;
label
hr   = 'heart rate'
chol = 'cholesterol'
;
datalines;
ADAMS	20 89 200
BROWN	21 60 140
SMITH	34 71 150
;
run;

title 'DATA SET DEMOGRAPHIC';
proc print data=demographic;
run;

title 'DATA SET MEDICAL';
proc print data=medical;
run;
